Page MenuHomePhabricator

Clean up wikiadmin2 user from core hosts
Closed, ResolvedPublic

Description

While working on the grants for the new hosts I have realise that the old external store hosts and some other core hosts have a wikiadmin2@% user, which is not in use and has a different password from the current wikiadmin one.

Checking performance schema shows no connection from that user - most likely a user created for a password change/rotation.
Let's delete it.

es1:

  • es2013
  • es2012
  • es1018
  • es1016
  • es1012

es2:

  • es2016.codfw.wmnet
  • es2015.codfw.wmnet
  • es2014.codfw.wmnet
  • es1015.eqiad.wmnet
  • es1013.eqiad.wmnet
  • es1011.eqiad.wmnet

es3

  • es2019.codfw.wmnet
  • es2018.codfw.wmnet
  • es2017.codfw.wmnet
  • es1019.eqiad.wmnet
  • es1017.eqiad.wmnet
  • es1014.eqiad.wmnet

It also exists on some core hosts, on s7:

  • dbstore1003.eqiad.wmnet
  • db2122.codfw.wmnet
  • db2121.codfw.wmnet
  • db2120.codfw.wmnet
  • db2118.codfw.wmnet
  • db2100.codfw.wmnet
  • db2095.codfw.wmnet
  • db2087.codfw.wmnet
  • db2086.codfw.wmnet
  • db2077.codfw.wmnet
  • db1136.eqiad.wmnet
  • db1125.eqiad.wmnet
  • db1116.eqiad.wmnet
  • db1101.eqiad.wmnet
  • db1098.eqiad.wmnet
  • db1094.eqiad.wmnet
  • db1090.eqiad.wmnet
  • db1086.eqiad.wmnet
  • db1079.eqiad.wmnet

x1:

  • db2131.codfw.wmnet
  • db2115.codfw.wmnet
  • db2101.codfw.wmnet
  • db2096.codfw.wmnet

pc1

  • pc2010.codfw.wmnet
  • pc2007.codfw.wmnet
  • pc1010.eqiad.wmnet
  • pc1007.eqiad.wmnet

pc2

  • pc2008.codfw.wmnet
  • pc1008.eqiad.wmnet

pc3

  • pc2009.codfw.wmnet
  • pc1009.eqiad.wmnet

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2020, 1:46 PM
Marostegui moved this task from Triage to In progress on the DBA board.Jan 23 2020, 1:47 PM

It exists on:

es1:
es2013
es2012
es1018
es1016
es1012

es2:
es2016.codfw.wmnet
es2015.codfw.wmnet
es2014.codfw.wmnet
es1015.eqiad.wmnet
es1013.eqiad.wmnet
es1011.eqiad.wmnet

es3
es2019.codfw.wmnet
es2018.codfw.wmnet
es2017.codfw.wmnet
es1019.eqiad.wmnet
es1017.eqiad.wmnet
es1014.eqiad.wmnet

It also exists on some core hosts, on s7:
dbstore1003.eqiad.wmnet
db2122.codfw.wmnet
db2121.codfw.wmnet
db2120.codfw.wmnet
db2118.codfw.wmnet
db2100.codfw.wmnet
db2095.codfw.wmnet
db2087.codfw.wmnet
db2086.codfw.wmnet
db2077.codfw.wmnet
db1136.eqiad.wmnet
db1125.eqiad.wmnet
db1116.eqiad.wmnet
db1101.eqiad.wmnet
db1098.eqiad.wmnet
db1094.eqiad.wmnet
db1090.eqiad.wmnet
db1086.eqiad.wmnet
db1079.eqiad.wmnet

x1:
db2131.codfw.wmnet
db2115.codfw.wmnet
db2101.codfw.wmnet
db2096.codfw.wmnet

pc1
pc2010.codfw.wmnet
pc2007.codfw.wmnet
pc1010.eqiad.wmnet
pc1007.eqiad.wmnet

pc2
pc2008.codfw.wmnet
pc1008.eqiad.wmnet

pc3
pc2009.codfw.wmnet
pc1009.eqiad.wmnet

Marostegui renamed this task from Clean up wikiadmin2 user from es hosts to Clean up wikiadmin2 user from core hosts.Jan 23 2020, 1:57 PM
Marostegui updated the task description. (Show Details)Jan 23 2020, 2:04 PM

Mentioned in SAL (#wikimedia-operations) [2020-01-23T14:17:44Z] <marostegui> Remove wikiadmin2 user from codfw x1 hosts - T243512

Marostegui updated the task description. (Show Details)Jan 23 2020, 2:18 PM
Marostegui updated the task description. (Show Details)Jan 24 2020, 8:37 AM

Mentioned in SAL (#wikimedia-operations) [2020-01-24T08:42:24Z] <marostegui> Remove wikiadmin2 user from pc2XXX codfw hosts T243512

Marostegui updated the task description. (Show Details)Jan 24 2020, 8:43 AM
Marostegui triaged this task as Medium priority.Feb 14 2020, 2:40 PM

Mentioned in SAL (#wikimedia-operations) [2020-02-18T06:39:50Z] <marostegui> Remove wikiadmin2 from pc1007, pc1008, pc1009 and pc1010 T243512

Marostegui updated the task description. (Show Details)Feb 18 2020, 6:40 AM

Mentioned in SAL (#wikimedia-operations) [2020-02-18T08:59:34Z] <marostegui> Remove wikiadmin2 grants from es1 T243512

Marostegui updated the task description. (Show Details)Feb 18 2020, 9:01 AM

Mentioned in SAL (#wikimedia-operations) [2020-02-19T07:02:57Z] <marostegui> Remove wikiadmin2 user from es2 - T243512

Marostegui updated the task description. (Show Details)Feb 19 2020, 7:04 AM
Marostegui updated the task description. (Show Details)Feb 19 2020, 8:33 AM

Mentioned in SAL (#wikimedia-operations) [2020-02-19T08:41:41Z] <marostegui> Remove wikiadmin2 user from s7 - T243512

Marostegui closed this task as Resolved.Feb 19 2020, 8:42 AM
Marostegui updated the task description. (Show Details)

This is all done